Subject: bug#39318: [core-updates] 'make-desktop-entry-file' is not exported

From: Pierre Neidhardt <[email-masked]>
Date: Thu, 30 Jan 2020 19:51:03 +0100

Marius Bakke <[email-masked]> writes:

> Obviously the CI system can not offer substitutes in advance for a
> world-rebuilding change!  :-)
>
> I feel slightly offended by being asked to try your untested patch.  Are
> you under the impression that I _don't_ have to rebuild the world?

Duh, my bad, sorry I was probably too distracted with other things at
Guix Days, I completely missed that the world obviously had to be rebuilt.
I guess I'm not used to dealing with core-updates :p

Actually, this brings up a genuine question: how do you test core-updates
for these type of changes?  Do we really have a rebuild the whole thing on
every iteration?

Cheers, and sorry for the mishaps!

-- 
Pierre Neidhardt
https://ambrevar.xyz/